Page MenuHomePhabricator

Disable CI job on CRM deployment branch
Closed, ResolvedPublic

Description

This branch is missing phpunit.xml and all the test classes.

Details

Event Timeline

awight created this task.Mar 31 2015, 5:03 PM
awight claimed this task.
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: awight, atgo, Aklapper.
awight raised the priority of this task from Normal to High.Apr 30 2015, 7:21 PM

Raising the priority, this is now an obstacle to deployment.

hashar added a subscriber: hashar.May 5 2015, 12:39 PM

Zuul can filter out triggered jobs using filters and filter on branches is supported. In integration/config.git zuul/layout.yaml

jobs:
 - name: wikimedia-fundraising-civicrm
   branch: ^(?!deployment)$

Would prevent the job from being triggered for changes made against the deployment branch.

Change 209629 had a related patch set uploaded (by Awight):
Disable tests on deployment branches where we have removed them

https://gerrit.wikimedia.org/r/209629

Change 209629 merged by jenkins-bot:
Disable tests on deployment branches where we have removed them

https://gerrit.wikimedia.org/r/209629

I have deployed @awight change on Jenkins and it should be good now.

Change 210179 had a related patch set uploaded (by Awight):
Prevent running phpunit tests on CiviCRM deployment branch

https://gerrit.wikimedia.org/r/210179

awight renamed this task from Disable job on CRM deployment branch to Disable CI job on CRM deployment branch.May 11 2015, 8:38 PM
awight closed this task as Resolved.
awight moved this task from Backlog to Done on the Fundraising Sprint James Brown board.

Change 210179 merged by jenkins-bot:
Prevent running phpunit tests on CiviCRM deployment branch

https://gerrit.wikimedia.org/r/210179

@hashar: Can you advise? https://gerrit.wikimedia.org/r/#/c/210247/ I see that the job is no longer running on the master branch.

@hashar: Can you advise? https://gerrit.wikimedia.org/r/#/c/210247/ I see that the job is no longer running on the master branch.

I screwed up the review. The regex ends up matching nothing :-}

Change 210291 had a related patch set uploaded (by Hashar):
Fix fundraising deployment branch filters

https://gerrit.wikimedia.org/r/210291

Change 210291 merged by jenkins-bot:
Fix fundraising deployment branch filters

https://gerrit.wikimedia.org/r/210291

Should be good now :}

Confirmed fixed. Thanks again!

mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM